#!/usr/bin/env bash

# Submission parameters
QOS="small"
PARTITION="ampere"  # ampere 	gpu
SCRIPT_DIR="hpc"    # Directory containing the job scripts

# Range of values for the -q parameter
VERSIONS=("V0" "V1" "V2")
Q_START=20
Q_END=30

# Submitting the jobs
for version in "${VERSIONS[@]}"; do
  for ((q = Q_START; q <= Q_END; q++)); do
    script_name="Bitnc${version}Q${q}.sh"
    script_path="${SCRIPT_DIR}/${script_name}"

    if [[ -f "$script_path" ]]; then
      echo "Submitting: $script_path"
      sbatch --qos="$QOS" -p "$PARTITION" "$script_path"
      #sbatch -p "$PARTITION" "$script_path"
    else
      echo "Warning: File not found - $script_path"
    fi
  done
done
